## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://developer.mindbridge.ai/llms.txt)

Use this file to discover all available pages before exploring further.

## Export Account Grouping

### Request
**POST**  
`/v1/account-groupings/{accountGroupingId}/export`

### cURL
```
curl --request POST \
  --url https://{tenant}.mindbridge.ai/api/v1/account-groupings/{accountGroupingId}/export \
  --header 'Authorization: Bearer <token>'
```

### Python
```python
import requests

url = "https://{tenant}.mindbridge.ai/api/v1/account-groupings/{accountGroupingId}/export"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch)
```javascript
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>' }};

fetch('https://{tenant}.mindbridge.ai/api/v1/account-groupings/{accountGroupingId}/export', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP
```php
$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://{tenant}.mindbridge.ai/api/v1/account-groupings/{accountGroupingId}/export",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

### Go
```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://{tenant}.mindbridge.ai/api/v1/account-groupings/{accountGroupingId}/export"

req, _ := http.NewRequest("POST", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

### Unirest (Java)
```java
HttpResponse<String> response = Unirest.post("https://{tenant}.mindbridge.ai/api/v1/account-groupings/{accountGroupingId}/export")
  .header("Authorization", "Bearer <token>")
  .asString();
```

### Ruby
```ruby
require 'uri'
require 'net/http'

url = URI("https://{tenant}.mindbridge.ai/api/v1/account-groupings/{accountGroupingId}/export")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

### Response
`200 - application/json`

```json
{
  "id": "<string>",
  "version": 123,
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "entityId": "<string>",
  "error": "<string>",
  "errorMessage": "<string>"
}
```

#### Authorizations
**Authorization**  
string

header

required

Bearer authentication header of the form `Bearer <token>`, where `<token>` is your auth token.

#### Path Parameters
**accountGroupingId**  
string

required

#### Response Details
- **id**: The unique object identifier.
- **version**: Indicates the data integrity version to ensure data consistency.
- **creationDate**: The date that the object was originally created.
- **lastModifiedDate**: The date that the object was last updated or modified.
- **createdUserInfo**: Details about the user who created the object.
- **lastModifiedUserInfo**: Details about the user who last modified or updated the object.
- **entityId**: Identifies the entity used in the job.
- **entityType**: Identifies the entity type used in the job. Options include `ORGANIZATION`, `ENGAGEMENT`, `ANALYSIS`, etc.
- **error**: The reason why the async job failed.
- **errorMessage**: Error message detailing the job failure.
